/*
 * @Author: wufan
 * @Date: 2020-12-12 11:57:10
 * @LastEditors: zhangleyuan
 * @LastEditTime: 2020-12-16 16:14:42
 * @Description: Description
 * @@Copyrigh: © 2020 杭州杰竞科技有限公司 版权所有
 */

import Service from "@/common/js/service";

export function fetchLecturerData(params: object) {
  return Service.Hades("public/courseCloud/queryTeacherVisitData", params);
}

export function fetchUserData(params: object) {
  return Service.Hades("public/courseCloud/queryStudentVisitData", params);
}

export function createLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/createLiveCloudCourse", params);
}

export function getLiveCloudCoursePage(params: object) {
  return Service.Hades("public/courseCloud/getLiveCloudCoursePage", params);
}

export function exportStudentCourseData(params: object) {
  return Service.Hades("public/courseCloud/exportCourseCloudVisitorAsync", params);
}

export function exportPlayBackCourseData(params: object) {
  return Service.Hades("public/courseCloud/exportCourseCloudPlayBackSync", params);
}
export function fetchPlaybackList(params: object) {
  return Service.Hades("public/courseCloud/getUserReplayRecordPage", params);
}
export function getLiveCloudCourseDetail(params: object) {
  return Service.Hades("public/courseCloud/getLiveCloudCourseDetail", params);
}

export function updateLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/updateLiveCloudCourse", params);
}

export function turnOnOrOffLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/turnOnOrOffLiveCloudCourse", params);
}
export function delLiveCloudCourse(params: object) {
  return Service.Hades("public/courseCloud/delLiveCloudCourse", params);
}